This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 127716 - Folder migration from earlier version is borked.
Folder migration from earlier version is borked.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-12 16:49 EDT by Dave Jones
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 16:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2004-07-12 16:49:03 EDT
Description of problem:

I have a tree of mbox's in my ~/Mail which evo saw as old-style and
tried to convert to 'new' style mail boxes.  When it had done I ended
up with duplicates of some mail boxes (they appeared twice in the tree
-- though clicking the second entry wouldn't open the mailfolder).

Additionally, it popped up an error dialog saying it couldn't convert
a folder every time it hit a subdir.

Finally, examination of the ~/Mail revealed a dozen *.ibex.* files for
each folder had been created. Is this to be expected ?
Crazy looking stuff like this..


-rw-r--r--  1 davej davej   45206 Jul 12 21:36 Anaconda
-rw-r--r--  1 davej davej      13 Jul 12 21:41 Anaconda.cmeta
-rw-------  1 davej davej    7168 Jul 12 21:37 Anaconda.ibex.index
-rw-------  1 davej davej       8 Jul 12 21:37 Anaconda.ibex.index.data
-rw-r--r--  1 davej davej      13 Jul 12 21:41
Anaconda.ibex.index.data.cmeta
-rw-------  1 davej davej    7168 Jul 12 21:39
Anaconda.ibex.index.data.ibex.index
-rw-------  1 davej davej       8 Jul 12 21:39
Anaconda.ibex.index.data.ibex.index.data
-rw-r--r--  1 davej davej      13 Jul 12 21:41
Anaconda.ibex.index.data.ibex.index.data.cmeta
-rw-------  1 davej davej    7168 Jul 12 21:39
Anaconda.ibex.index.data.ibex.index.data.ibex.index
-rw-------  1 davej davej       8 Jul 12 21:39
Anaconda.ibex.index.data.ibex.index.data.ibex.index.data
-rw-r--r--  1 davej davej      13 Jul 12 21:41
Anaconda.ibex.index.data.ibex.index.data.ibex.index.data.cmeta
-rw-------  1 davej davej    7168 Jul 12 21:41
Anaconda.ibex.index.data.ibex.index.data.ibex.index.data.ibex.index
-rw-------  1 davej davej       8 Jul 12 21:41
Anaconda.ibex.index.data.ibex.index.data.ibex.index.data.ibex.index.data
-rw-r--r--  1 davej davej      13 Jul 12 21:41
Anaconda.ibex.index.data.ibex.index.data.ibex.index.data.ibex.index.data.cmeta
-rw-------  1 davej davej    1024 Jul 12 21:41
Anaconda.ibex.index.data.ibex.index.data.ibex.index.data.ibex.index.data.ibex.index
-rw-------  1 davej davej       8 Jul 12 21:41
Anaconda.ibex.index.data.ibex.index.data.ibex.index.data.ibex.index.data.ibex.index.data
Comment 1 Dave Malcolm 2004-07-14 16:57:19 EDT
Which version of evolution are you running, please?
Comment 2 Dave Jones 2004-08-01 11:25:26 EDT
dont have the box to hand to check, but its whatever was included in
fc3 test 1.  
Comment 3 Dave Jones 2004-08-02 11:28:23 EDT
I just reinstalled evolution with teh latest package from rawhide, and
its better to a certain degree. (Ie, its almost usable now at least).

1. When it generates a list of available mailboxes, it still barfs
when it finds a subdir. It pops up an error dialog
"Error while updating vFolders for 'davej@redhat.com:/commits'.
`/home/davej/RedHat/Mail/commits' is not a mailbox file..

commits is a subdir containing more mboxes.
The strange thing is that it handles it correctly in the tree list
widget afterwards. (It generates a correct nested folder icon).
So the dialog is completely superfluous.

2. For every mbox it finds, it still generates lots of those index
files.  eg:

SPAM@
SPAM.cmeta
SPAM.ibex.index
SPAM.ibex.index.data
SPAM.ibex.index.data.cmeta
SPAM.ibex.index.data.ibex.index
SPAM.ibex.index.data.ibex.index.data
SPAM.ibex.index.data.ibex.index.data.cmeta
SPAM.ibex.index.data.ibex.index.data.ibex.index
SPAM.ibex.index.data.ibex.index.data.ibex.index.data
SPAM.ibex.index.data.ibex.index.data.ibex.index.data.cmeta
SPAM.ibex.index.data.ibex.index.data.ibex.index.data.ibex.index
SPAM.ibex.index.data.ibex.index.data.ibex.index.data.ibex.index.data

3. Clicking some folders in subdirs fails to open the mbox.
example, I organise my bugzilla mail for kernel bugs against fc2 into 
a folder in Bugzilla/Fedora/2.  Evolution has created metafiles for
this mbox in Bugzilla.sbd/Fedora.sbd/2.[cmeta|ibex.index|ibex.index.data]
Clicking the entry in the tree widget tries to open the mbox file from
this location instead of where it actually lives.


Comment 4 Dave Jones 2004-08-31 07:09:38 EDT
Something else that puzzles me is why evo feels it still needs to
index mailboxes at all if I turn off 'index message body data' on each
mailbox. Does that tickbox do anything at all ?

If that tickbox actually did what I think it does, and also defaulted to
off instead of on, this would likely solve at least half of the problem.
(leaving just the 'cant read mboxes in subdirs' problem)

Shall I open a seperate bug for that ?
Comment 5 Dave Jones 2004-10-26 16:02:44 EDT
ooh, this all seems to have been fixed in what we have in FC3 currently.

Great!

Note You need to log in before you can comment on or make changes to this bug.